# versions of required libraries
Summary:	AppleTalk networking programs
Summary(pl.UTF-8):	Klient i serwer AppleTalk
Summary(pt_BR.UTF-8):	Programas para rede AppleTalk
Summary(zh_CN.UTF-8):	Appletalk 和 Appleshare/IP 服务工具
Name:		netatalk
Version:	3.0.2
Release:	1
Epoch:		2
License:	BSD
Group:		Daemons
Source0:	http://downloads.sourceforge.net/netatalk/%{name}-%{version}.tar.bz2
# Source0-md5:	b5f1c2c4b3a5e64f5bca219415aa1c75
Source1:	%{name}.init
Source2:	%{name}.pamd
Source3:	%{name}.sysconfig
Source4:	ICDumpSuffixMap
Patch0:		%{name}-build.patch
Patch1:		format-security.patch
URL:		http://www.umich.edu/~rsug/netatalk/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cracklib-devel
BuildRequires:	db-devel >= 4.6.0
BuildRequires:	gettext-devel
BuildRequires:	libevent-devel
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel
Requires(post):	/sbin/ldconfig
Requires(post,preun):	/sbin/chkconfig
Requires:	libgcrypt >= 1.4.5
Requires:	pam >= 0.99.7.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package enables Linux to talk to Macintosh computers via the
AppleTalk networking protocol. It includes a daemon to allow Linux to
act as a file server over EtherTalk or IP for Mac's.

%description -l pl.UTF-8
Pakiet ten pozwala na komunikację komputerów OS Linux z Macintosh za
pośrednictwem protokołu AppleTalk. Uczyni twojego Linux-a serwerem
oraz klientem plików i wydruków zarówno za pośrednictwem protokołu
EtherTalk jaki IP for Mac's.

%description -l pt_BR.UTF-8
Este pacote habilita o Linux a servir computadores Macintosh através
do protocolo AppleTalk.

%package devel
Summary:	Headers and static libraries for Appletalk development
Summary(pl.UTF-8):	Pliki nagłówkoew i biblioteki statyczne Appletalk
Summary(pt_BR.UTF-8):	Arquivos de inclusão e bibliotecas para o desenvolvimento de aplicativos baseados no protocolo AppleTalk
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}

%description devel
This packge contains the header files, and static libraries for
building Appletalk networking programs.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe i biblioteki statyczne serwera
AppleTalk.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão e bibliotecas para o desenvolvimento de
aplicativos baseados no protocolo AppleTalk.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%{__autoheader}
%configure \
	--with-config-dir=%{_sysconfdir}/atalk \
	--with-pkgconfdir=%{_sysconfdir}/atalk \
	--with-uams-path=%{_libdir}/atalk \
	--with-msg-dir=%{_sysconfdir}/atalk/msg \
	--enable-lastdid \
	--enable-timelord \
	--with-cracklib=%{_datadir}/dict/cracklib_dict \
	--with-pam \
	--with-shadow \
	--with-tcp-wrappers \
	--with-ssl \
	--enable-pgp-uam \
	--with-libevent=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,pam.d,security,sysconfig,atalk/msg} \
	$RPM_BUILD_ROOT%{_libdir}/atalk \
	$RPM_BUILD_ROOT%{_mandir}/{man1,man3,man4,man8}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	m4datadir=%{_aclocaldir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/atalk
install %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/netatalk
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/netatalk
install %{SOURCE4} .

> $RPM_BUILD_ROOT/etc/security/blacklist.netatalk

# to avoid conflict with glibc-devel
rm -f $RPM_BUILD_ROOT%{_includedir}/atalk/at.h
rm -f $RPM_BUILD_ROOT%{_includedir}/netatalk/at.h
# to avoid conflict with coreutils-7.1
rm -f $RPM_BUILD_ROOT%{_bindir}/timeout

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add atalk
if [ "$1" = "1" ] ; then
	echo "Run \"/etc/rc.d/init.d/atalk start\" to start netatalk." >&2
fi

%preun
if [ "$1" = "0" ]; then
	/etc/rc.d/init.d/atalk stop >&2
	/sbin/chkconfig --del atalk
fi

%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ICDu* NEWS VERSION doc
%dir %{_sysconfdir}/atalk
%dir %{_sysconfdir}/atalk/msg
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/atalk/afp.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/atalk/extmap.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/netatalk

%attr(754,root,root) %config /etc/rc.d/init.d/atalk
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/netatalk
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.netatalk

%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_bindir}/[!n]*
%attr(755,root,root) %{_libdir}/libatalk.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libatalk.so.3
%dir %{_libdir}/atalk
%attr(755,root,root) %{_libdir}/atalk/*.so
%{_mandir}/*/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/netatalk-config
%attr(755,root,root) %{_libdir}/libatalk.so
%{_libdir}/libatalk.a
%{_libdir}/libatalk.la
%{_libdir}/atalk/*.a
%{_libdir}/atalk/*.la
%{_includedir}/atalk
%{_aclocaldir}/*
%changelog
* Sun Jul 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/netatalk.git;a=log;h=master

* Wed Mar 20 2013 Aria Stewart <aredridel@nbtsc.org> 3b7c5f9
- 0.3.2

* Fri Dec 07 2012 Jan Rękorajski <baggins@pld-linux.org> 2c19ccb
- fix format string warnings
- rel 3

* Thu Dec 06 2012 Jan Rękorajski <baggins@pld-linux.org> 33096ec
- release 2 (by relup.sh)

* Thu Sep 06 2012 Jan Rękorajski <baggins@pld-linux.org> 8e72598
- Merge branch 'master' of git://git.pld-linux.org/packages/netatalk

* Thu Sep 06 2012 Jan Rękorajski <baggins@pld-linux.org> 674a8ac
- updated to 3.0
- build with system libevent

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> 320c252
- release 3

* Tue Sep 04 2012 Jan Rękorajski <baggins@pld-linux.org> 0195c9c
- Release 2
Rebuild with DB 5.3

* Sat Sep 11 2010 blekot <blekot@pld-linux.org> e9b2531
- based on configure, BR: db-devel >= 4.6.0 is important ;-)

* Sat Sep 11 2010 blekot <blekot@pld-linux.org> 8541335
- reverted last commit
- added --with-bdb=/usr to configure (for ti build)

* Sat Sep 11 2010 blekot <blekot@pld-linux.org> a78e963
- typo

* Sat Sep 11 2010 blekot <blekot@pld-linux.org> 1befe06
- BR: db-devel >= 4.6.0

* Wed Jun 30 2010 jpc <jpc@pld-linux.org> eeebb59
- requires libgcrypt >= 1.4.5

* Thu Mar 18 2010 aredridel <aredridel@pld-linux.org> c999e0f
- 2.1beta1 -- supports ipv6

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 824b552
- drop obsolete files

* Mon Jun 01 2009 amateja <amateja@pld-linux.org> 02cbb8c
- updated to 2.0.4
- removed obsolete patches
- fixed typo in polish description

* Sun Mar 22 2009 Jan Rękorajski <baggins@pld-linux.org> 0632c91
- unified: removed _initrddir macro usage

* Mon Mar 16 2009 areq <areq@pld-linux.org> 8705d02
- rm /usr/bin/timeout, rel 4

* Sat Nov 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ac0b738
- rel 3; fix build

* Sat Nov 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 15a2656
- build hack

* Mon Feb 04 2008 zbyniu <zbyniu@pld-linux.org> d615c0c
- BR: libltdl-devel

